<?php

//////////////////////////////////////////////////////////////
//===========================================================
// editplan_theme.php
//===========================================================
// SOFTACULOUS VIRTUALIZOR
// Version : 1.0
// Inspired by the DESIRE to be the BEST OF ALL
// ----------------------------------------------------------
// Started by: Alons
// Date:       8th Mar 2010
// Time:       23:00 hrs
// Site:       https://www.virtualizor.com/ (SOFTACULOUS VIRTUALIZOR)
// ----------------------------------------------------------
// Please Read the Terms of use at https://www.virtualizor.com
// ----------------------------------------------------------
//===========================================================
// (c)Softaculous Ltd.
//===========================================================
//////////////////////////////////////////////////////////////

if(!defined('VIRTUALIZOR')){

	die('Hacking Attempt');

}

function editplan_theme(){

global $theme, $globals, $kernel, $user, $l , $error, $plan, $done, $_ubc, $mgs, $isos, $oslist, $vnc_keymap_array, $recipes, $backup_plans, $supported_nics, $servergroups, $ippools, $bus_driver_list;

softheader($l['<title>']);

echo '
<div class="bg">
<div class="row my-3 mx-auto">
	<div class="col-12">
		<h4 class="text-dark"><i class="fas fa-clipboard"></i> '.$l['edit_plan'].'</h4>
	</div>
</div>';

error_handle($error);

if(!empty($done)){
	show_alert($l['done']);
}

//decode VPS Data
$data_decode = json_decode($plan['data'],1);
echo '<script language="javascript" type="text/javascript">

var servergroups = '.json_encode($servergroups).';


function toggle_advoptions(ele){
	
	var div_ele = $("#"+ele+"_advoptions");

	if (div_ele.is(":hidden")){
		$("#"+ele+"_advoptions_ind").text(" - ");
		div_ele.slideDown("slow");
	}
	else{
		$("#"+ele+"_advoptions_ind").text(" + ");
		div_ele.slideUp("slow");
	}
}
function adddnsrow(id, val){

var t = $_(id);
	var ele = document.createElement("div");
	ele.setAttribute("class","row mx-auto w-100 my-1");
	ele.innerHTML=\'<div class="col-sm-11 p-0"><input type="text" class="form-control w-100" name="dns[]"  value="\'+(val || "")+\'"  size="20" /></div><div class="col-sm-1 p-0">&nbsp;&nbsp;<a class="deldns" ><i class="fas fa-times text-danger cursor-pointer py-2"></i></a></div>\';
	t.appendChild(ele);
	var sp = document.createElement("span");
	sp.setAttribute("class","help-block");
	t.appendChild(sp);	
	del_dns_div("deldns");
};

function ispvonhvm(plan){

	if($("#tr_pvonhvm").css("display") == "none"){
		return true;
	}
	
	var pv_on_hvm = false;
	if(!$_("pv_on_hvm")){
		pv_on_hvm = false;
	}else{
		pv_on_hvm = $_("pv_on_hvm").checked;
	}
	
	if($_("tr_viftype")){
		if(pv_on_hvm == true){
			$_("tr_viftype").style.display = "none";
		}else{
			$_("tr_viftype").style.display = "";
		}
	}
	
	return true;
};


function changeplan(plan){
	$(".openvz, .kvm, .xen, .xenhvm, .xcp, .xcphvm, .lxc, .vzk, .vzo, .proxk, .proxl, .proxo").hide();
	$("." + plan).show();
	
	$("#disk_space_col").attr("class", "");
	if(plan == "proxk"){
		$("#disk_space_col").attr("class", "col-sm-3 pr-0 ml-1");
		$("#disk_space").css("width", "50%");
	}else{
		$("#disk_space_col").attr("class", "col-sm-6 p-0");
		$("#disk_space").css("width", "");
	}
	
	$("#mgs option").each(function(){
		if($(this).attr("type") != plan){
			$(this).attr("disabled","disabled");
			$(this).css("display","none");
		}else{
			$(this).attr("disabled", false);
			$(this).css("display","block");
		}
	});	
};

function changepriority(priority){
	if(!$("#prior")){
		return;
	}
	if (priority != ""){
		$_("prior").value = priority;
	}
};

function ishvm(){
	var hvm = false;
	var tmp_hvm = "'.$plan['virt'].'";
	var n = tmp_hvm.search(/hvm/i); 
	if(n > 0){
		hvm = true;
	}
	
	if($_("isorow")){
		if(hvm == true || tmp_hvm == "kvm" || tmp_hvm == "proxk"){
			$_("isorow").style.display = "";
		}else{
			$_("isorow").style.display = "none";
		}
	}
	
	$("#osid").select2("destroy");
	$("#osid").select2({
		width:"100%",
		templateResult: function(option) {
			var myOption = $("#osid").find("option[value=\"" + option.id + "\"]");
			
			if ((myOption.attr("virt") != "undefined") && hvm == true && (myOption.attr("virt") == tmp_hvm)) {
				return option.text;
			}else if((myOption.attr("virt") != "undefined") && hvm == false && (myOption.attr("virt") == tmp_hvm)){
				return option.text;
			}
		}
	});

	//alert(vpsid + " -- " + hvm)
	
	return false;
};

function ubcEdit(){
	if($("#ubcsettings").prop("checked")){
		$("#ubc_advoptions input:text").prop("disabled", false);
	}else{
		$("#ubc_advoptions input:text").prop("disabled", true);
	}
}

function change_cpu_topology(){
	
	if($("#enable_cpu_topology").prop("checked")){
		$("#cpu_topology").css("display", "");
	}else{
		$("#cpu_topology").css("display", "none");
		$("#topology_sockets").val(0);
		$("#topology_cores").val(0);
		$("#topology_threads").val(0);
	}
}

function toggle_driver_num(driver_type){
	$(".ide, .sata, .virtio, .scsi").hide();
	$("." + driver_type).show();
};

var lang_no_limit = "'.$l['no_limit'].'";
addonload("changepriority(\''.POSTval('priority', $plan['io']).'\');change_cpu_topology();");
addonload("handle_capping(); fillspeedmbits(); changeplan(\''.$plan['virt'].'\');enable_accel();ishvm();ispvonhvm();ubcEdit();");
</script>

<form accept-charset="'.$globals['charset'].'" name="editplan" id="editplan" method="post" action="" class="form-horizontal">

<div class="row mx-auto w-100 my-3">
	<div class="col-sm-12 col-md-12 col-lg-6 border-right">
		<div class="roundheader cursor-pointer" onclick="toggle_advoptions(\'general\');"><label id="general_advoptions_ind" class="min_width">-</label> &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;'.$l['gen_set'].'</div>
		<div id="general_advoptions" class="w-100">	
			<div class="row mx-auto w-100 my-3">
				<div class="col-6 p-0">
					<label class="control-label">'.$l['plan_enable'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['plan_enable_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
				</div>
				<div class="col-6 p-0">
					'.get_checkbox('is_enabled', '', 'is_enabled', array('chk_it' => 1, 'val' => $plan['is_enabled'])).'
				</div>
			</div>
			<div class="row mx-auto w-100 my-3">
				<div class="col-sm-6 p-0">
					<label class="control-label">'.$l['planname'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['nameofplan'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
				</div>
				<div class="col-sm-6 p-0">
					<input type="text" class="w-100 form-control side_text" name="plan_name" id="plan_name" size="30" value="'.POSTval('plan_name', $plan['plan_name']).'" />
				</div>
			</div>
			<div class="row mx-auto w-100 my-3">
				<div class="col-sm-6 p-0">
					<label class="control-label">'.$l['plantype'].'</label>
				</div>
				<div class="col-sm-6 p-0">
					<img name="virt" data-virt="'.$plan['virt'].'" src="'.$theme['images'].'admin/'.$plan['virt'].'_100.gif"/>
				</div>
			</div>';

		if(!empty($backup_plans)){
			
			echo '
			<div class="row mx-auto w-100 my-3">
				<div class="col-sm-6 p-0">
					<label class="control-label">'.$l['backup_plans'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['backup_plans_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
				</div>
				<div class="col-sm-6 p-0">
					<select class="custom-select virt-select w-100 side_text" name="bpid" id="bpid">
					<option value=0 '.(POSTval('bpid') == 0 ? 'selected="selected"' : '').'>'.$l['select_backup_plan'].'</option>';
						foreach($backup_plans as $k => $v){
							echo '<option value="'.$k.'" '.(POSTval('bpid') == $k ? 'selected="selected"' : (empty($_POST) && $plan['bpid'] == $k ? 'selected="selected"' : '')).'>'.$v['plan_name'].'</option>';
						}
					echo '</select>
				</div>
			</div>';
		}

		echo '
		<div class="row mx-auto w-100 my-3">
			<div class="col-sm-6 p-0">
				<label class="control-label">'.$l['vsos'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['vsos_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
			</div>
			<div class="col-sm-6 p-0">
				<select class="custom-select w-100 virt-select side_text" id="osid" name="osid">
					<option value="0" '.(POSTval('osid')== 0 ?  'selected="selected"' :($plan['osid']== 0 ? 'selected="selected"' : '')).'>'.$l['select_os'].'</option>';
					foreach($oslist as $_virt => $vvvv){
						foreach($oslist[$_virt] as $kk => $vv){
							foreach($vv as $k => $v){						
								echo '<option value="'.$k.'" '.(POSTval('osid') == $k ? 'selected="selected"' : ($plan['osid'] == $k ? 'selected="selected"' : '')).' '.(!empty($v['hvm']) ? 'hvm="1"' : '').' virt="'.$_virt.(!empty($v['hvm']) ? 'hvm' : '').'">'.(!empty($v['hvm']) ? 'HVM - ' : '').''.$v['name'].is_custom_os($k).'</option>';							
							}							
						}
					}
			echo'</select>
			</div>
		</div>';

		if(!empty($isos)){
			echo '<div class="row mx-auto w-100 my-3 kvm xenhvm xcphvm vzk proxk" id="isorow">
				<div class="col-sm-6 p-0">
					<label class="control-label">'.$l['vsiso'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['vsiso_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
				</div>
				<div class="col-sm-6 p-0">
					<select class="custom-select w-100 side_text" name="iso">
					<option value="0" '.(POSTval('iso') == 0 ? 'selected="selected"' : '').'>'.$l['none'].'</option>';
					
					foreach($isos as $k => $v){	
						echo '<option value="'.$k.'" '.(POSTval('iso') == $k ? 'selected="selected"' : ($plan['iso'] == $k ? 'selected="selected"' : '')).'>'.$v['name'].'</option>';
					}
					
				echo'</select>
				</div>
			</div>';

		}

		echo '
		<div class="row mx-auto w-100 my-3">
			<div class="col-sm-6 p-0">
				<label class="control-label">'.$l['dspace'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['hspaceallot'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
			</div>
			<div class="proxk row col-sm-3 p-0 ml-1">
					<div class="col-sm-6 pl-0 pr-1">
					<select class="custom-select bus_driver" id = "bus_driver" name="bus_driver" onchange="toggle_driver_num(this.value)" >';					
						foreach($bus_driver_list as $bdk => $bdv){
							echo '<option value="'.$bdk.'" '.(POSTval('bus_driver') == $bdk ? 'selected="selected"' : ($plan['bus_driver'] == $bdk ? 'selected="selected"' : '')).' >'.$bdv.'</option>';
						}
			echo   '</select>
				</div>	
					<div class="col-sm-6 pr-0 pl-1">	
							<select class="custom-select bus_driver_num" name="bus_driver_num" >';
								echo '<option class="sata virtio scsi" value="0" '.(POSTval('bus_driver_num') == 0 ? 'selected="selected"' : ($plan['bus_driver_num'] == 0 ? 'selected="selected"' : '')).'>0</option>';
								echo '<option class="sata virtio scsi" value="1" '.(POSTval('bus_driver_num') == 1 ? 'selected="selected"' : ($plan['bus_driver_num'] == 1 ? 'selected="selected"' : '')).'>1</option>';
								echo '<option class="ide sata virtio scsi" value="2" '.(POSTval('bus_driver_num') == 2 ? 'selected="selected"' : ($plan['bus_driver_num'] == 2 ? 'selected="selected"' : '')).'>2</option>';
								echo '<option class="ide sata virtio scsi" value="3" '.(POSTval('bus_driver_num') == 3 ? 'selected="selected"' : ($plan['bus_driver_num'] == 3 ? 'selected="selected"' : '')).'>3</option>';
								echo '<option class="virtio scsi" value="4" '.(POSTval('bus_driver_num') == 4 ? 'selected="selected"' : ($plan['bus_driver_num'] == 4 ? 'selected="selected"' : '')).'>4</option>';
								echo '<option class="sata virtio scsi" value="5" '.(POSTval('bus_driver_num') == 5 ? 'selected="selected"' : ($plan['bus_driver_num'] == 5 ? 'selected="selected"' : '')).'>5</option>';
								echo '<option class="virtio scsi" value="6" '.(POSTval('bus_driver_num') == 6 ? 'selected="selected"' : ($plan['bus_driver_num'] == 6 ? 'selected="selected"' : '')).'>6</option>';
								echo '<option class="virtio scsi" value="7" '.(POSTval('bus_driver_num') == 7 ? 'selected="selected"' : ($plan['bus_driver_num'] == 7 ? 'selected="selected"' : '')).'>7</option>';
								echo '<option class="virtio scsi" value="8" '.(POSTval('bus_driver_num') == 8 ? 'selected="selected"' : ($plan['bus_driver_num'] == 8 ? 'selected="selected"' : '')).'>8</option>';
								echo '<option class="virtio scsi" value="9" '.(POSTval('bus_driver_num') == 9 ? 'selected="selected"' : ($plan['bus_driver_num'] == 9 ? 'selected="selected"' : '')).'>9</option>';
								echo '<option class="virtio scsi" value="10" '.(POSTval('bus_driver_num') == 10 ? 'selected="selected"' : ($plan['bus_driver_num'] == 10 ? 'selected="selected"' : '')).'>10</option>';
								echo '<option class="virtio scsi" value="11" '.(POSTval('bus_driver_num') == 11 ? 'selected="selected"' : ($plan['bus_driver_num'] == 11 ? 'selected="selected"' : '')).'>11</option>';
								echo '<option class="virtio scsi" value="12" '.(POSTval('bus_driver_num') == 12 ? 'selected="selected"' : ($plan['bus_driver_num'] == 12 ? 'selected="selected"' : '')).'>12</option>';
								echo '<option class="virtio scsi" value="13" '.(POSTval('bus_driver_num') == 13 ? 'selected="selected"' : ($plan['bus_driver_num'] == 13 ? 'selected="selected"' : '')).'>13</option>';
								echo '<option class="virtio" value="14" '.(POSTval('bus_driver_num') == 14 ? 'selected="selected"' : ($plan['bus_driver_num'] == 14 ? 'selected="selected"' : '')).'>14</option>';
								echo '<option class="virtio" value="15" '.(POSTval('bus_driver_num') == 15 ? 'selected="selected"' : ($plan['bus_driver_num'] == 15 ? 'selected="selected"' : '')).'>15</option>';
					echo	'
							</select>
			</div>
			</div>
			<div id="disk_space_col" class="">
				<div class="input-group ">
					<input type="number" step="0.001" class="form-control rounded" name="disk_space" id="disk_space" size="10" value="'.POSTval('disk_space', $plan['space']).'" />
					<div class="input-group-append">
							<span class="p-1 pt-2">GB</span>
					</div>
				</div>
			</div>
		</div>

		<div class="row mx-auto w-100 my-3">
			<div class="col-sm-6 p-0">
				<label class="control-label">'.$l['gram'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['gram_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
			</div>
			<div class="col-sm-6 p-0">
				<div class="input-group ">
					<input type="number" class="form-control side_text" name="guaranteed_ram" id="guaranteed_ram" size="10" value="'.POSTval('guaranteed_ram', $plan['ram']).'" />
					<div class="input-group-append">
							<span class="p-1 pt-2">MB</span>
					</div>
				</div>
			</div>	
		</div>

		<div class="row mx-auto w-100 my-3 kvm xen xenhvm xcp xcphvm lxc vzk vzo proxk proxo proxl" id="swap">
			<div class="col-sm-6 p-0">
				<label class="control-label">'.$l['swap'].'</label>
			</div>
			<div class="col-sm-6 p-0">
				<div class="input-group ">
					<input type="number" class="form-control rounded" name="swapram" id="swapram" size="10" value="'.POSTval('swapram', $plan['swap']).'" />
					<div class="input-group-append">
							<span class="p-1 pt-2">MB</span>
					</div>
				</div>
			</div>	
		</div>

		<div class="row mx-auto w-100 my-3 openvz" id="burst">
			<div class="col-sm-6 p-0">
				<label class="control-label">'.$l['burst_ram'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['burst_ram_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
			</div>
			<div class="col-sm-6 p-0">
				<div class="input-group ">
					<input type="number" class="form-control side_text" name="burst_ram" id="burst_ram" size="10" value="'.POSTval('burst_ram', $plan['burst']).'" />
					<div class="input-group-append">
							<span class="p-1 pt-2">MB</span>
					</div>
				</div>
			</div>
		</div>

		<div class="row mx-auto w-100 my-3">
			<div class="col-sm-6 p-0">
				<label class="control-label">'.$l['bwidth'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['balloc'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
			</div>
			<div class="col-sm-6 p-0">
				<div class="input-group ">
					<input type="number" class="form-control side_text" name="bandwidth" id="bandwidth" size="10" value="'.POSTval('bandwidth', $plan['bandwidth']).'" onchange="handle_capping();" />
					<div class="input-group-append">
							<span class="p-1 pt-2">GB</span>
					</div>
				</div>
			</div>	
		</div>

		<script type="text/javascript">
		function netspeed(r){
			$_("network_speed").value = r;
			handle_capping();
		}
		function upspeed(r){
			$_("upload_speed").value = (r);
			handle_capping();
		}

		function enable_accel(){
			
			if($_("kvm_vga").checked == true){
				$_("enable_acceleration").style.display = "";
				$_("set_vga_vram").style.display = "";
			}else{
				$_("enable_acceleration").style.display = "none";
				$_("set_vga_vram").style.display = "none";
			}

		}

		$("#hvm").change(function(data){
			if(data.target.checked){
				$("#tr_viftype").show();
				$("#tr_pvonhvm").show();
			}else if(!data.target.checked){
				$("#tr_viftype").hide();
				$("#tr_pvonhvm").hide();
			}
			
		});
		
		</script>

		<div class="row mx-auto w-100 my-3">
			<div class="col-sm-6 p-0">
				<label class="control-label">'.$l['network_speed'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['network_speed_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
			</div>
			<div class="col-sm-6 p-0">
				<div class="input-group w-100">
					<input type="number" class="form-control rounded rounded-right" name="network_speed" id="network_speed" size="8" value="'.POSTval('network_speed', $plan['network_speed']).'" onchange="handle_capping();" />
					<div class="input-group-append w-50">
						<span class="p-1 pt-2">'.$l['net_kb'].'</span>
						<select class="custom-select w-75 speedmbits" name="network_speed2" id="network_speed2" onchange="netspeed(this.value)"></select>
					</div>
				</div>
			</div>
		</div>

		<div class="row mx-auto w-100 my-3" id="cpunits">
			<div class="col-sm-6 p-0">
				<label class="control-label">'.$l['cpu'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['cpalloc'].'"><i class="fas text-primary fa-info-circle"></i></a></label><br>
						<span class="help-block">
						<a href="'.$globals['docs'].'creating-a-vps#cpu-parameters" target="_blank">'.$l['need_info'].'</a>
			</div>
			<div class="col-sm-6 p-0">
				<div class="input-group ">
					<input type="number" class="form-control rounded rounded-right" name="cpu_units" id="cpu_units" size="10" value="'.POSTval('cpu_units', $plan['cpu']).'" />
					<div class="input-group-append">
					<span class="p-1 pt-2">Units</span>
					</div>
				</div>
			</div>	
		</div>

		<div class="row mx-auto w-100 my-3">
			<div class="col-sm-6 p-0">
				<label class="control-label">'.$l['cpucore'].'</label><br>
						<span class="help-block"><a href="'.$globals['docs'].'creating-a-vps#cpu-parameters" target="_blank">'.$l['need_info'].'</a></span>
			</div>
			<div class="col-sm-6 p-0">
				<input type="number" class="form-control w-100 side_text" name="cpu_cores" id="cpu_cores" size="10" value="'.POSTval('cpu_cores', $plan['cores']).'" />
			</div>	
		</div>

		<div class="row mx-auto w-100 my-3" id="cpupercent">
			<div class="col-sm-6 p-0">
				<label class="control-label">'.$l['cpupercent'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['cpuperutil'].'"><i class="fas text-primary fa-info-circle"></i></a></label><br>
						<span class="help-block">
						<a href="'.$globals['docs'].'creating-a-vps#cpu-parameters" target="_blank">'.$l['need_info'].'</a>
						</span>
			</div>
			<div class="col-sm-6 p-0">
				<div class="input-group ">
					<input type="number" class="form-control rounded" name="percent_cpu" id="percent_cpu" size="10" value="'.POSTval('percent_cpu', $plan['cpu_percent']).'" />
					<div class="input-group-append">
						<span class="p-1 pt-2">%</span>
					</div>
				</div>
			</div>
		</div>

		<div class="row mx-auto w-100 my-3 openvz vzo vzk proxo" id="priority">
			<div class="col-sm-6 p-0">
				<label class="control-label">'.$l['ioprior'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['io0-7'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
			</div>
			<div class="col-sm-6 p-0">
				<select id="prior" name="priority" class="custom-select w-100 side_text">
					<option value="0">0</option>
					<option value="1">1</option>
					<option value="2">2</option>
					<option value="3">3</option>
					<option value="4">4</option>
					<option value="5">5</option>
					<option value="6">6</option>
					<option value="7">7</option>
				</select>
			</div>
		</div>

		<div class="row mx-auto w-100 my-3">
			<div class="col-sm-6 p-0">
				<label class="control-label">'.$l['plan_ips'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['plan_ips_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
			</div>
			<div class="col-sm-6 p-0">
				<input type="number" class="form-control w-100 side_text" name="ips" size="10" value="'.POSTval('ips', $plan['ips']).'" />
			</div>
		</div>

		<div class="row mx-auto w-100 my-3">
			<div class="col-sm-6 p-0">
				<label class="control-label">'.$l['plan_ips6_subnet'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['plan_ips6_subnet_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
			</div>
			<div class="col-sm-6 p-0">
				<input type="number" class="form-control w-100 side_text" name="ips6_subnet" size="10" value="'.POSTval('ips6_subnet', $plan['ips6_subnet']).'" />
			</div>
		</div>

		<div class="row mx-auto w-100 my-3">
			<div class="col-sm-6 p-0">
				<label class="control-label">'.$l['plan_ips6'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['plan_ips6_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
			</div>
			<div class="col-sm-6 p-0">
				<input type="number" class="form-control w-100 side_text" name="ips6" size="10" value="'.POSTval('ips6', $plan['ips6']).'" />
			</div>
		</div>

		<div class="row mx-auto w-100 my-3">
			<div class="col-sm-6 p-0">
				<label class="control-label">'.$l['plan_ips_int'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['plan_ips_int_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
			</div>
			<div class="col-sm-6 p-0">
				<input type="number" class="form-control w-100 side_text" name="ips_int" size="10" value="'.POSTval('ips_int', $plan['ips_int']).'" />
			</div>
		</div>
		<div class="row mx-auto w-100 my-3 kvm vzk" id="virtio_settings">
			<div class="col-6 p-0">
				<label class="control-label">'.$l['disk_driver'].'&nbsp;
					<a class="info" data-placement="right" tooltip="'.$l['exp_disk_driver'].'"><i class="fas text-primary fa-info-circle"></i>
					</a>
				</label><br>
			</div>
			<div class="col-2 p-0">
				<label class="custom-control custom-radio">
					<input type="radio" class="custom-control-input" id="disk_driver_none" name="virtio" value="0"   '.(POSTval('virtio', $plan['virtio']) == '0' ? 'checked="checked"' : '').'>
					<span class="custom-control-label" for="disk_driver_none">'.$l['none'].'</span>
				</label> 
			</div>
			<div class="col-2 p-0">
				<label class="custom-control custom-radio">
					<input type="radio" class="custom-control-input" id="virtio" name="virtio" value="1"   '.(POSTval('virtio', $plan['virtio']) == '1' ? 'checked="checked"' : '').'>
					<span class="custom-control-label" for="virtio">'.$l['virtio'].'</span>
				</label>
			</div>
			<div class="col-2 p-0">
				<label class="custom-control custom-radio">
					<input type="radio" class="custom-control-input" id="scsi" name="virtio" value="2"   '.(POSTval('virtio', $plan['virtio']) == '2' ? 'checked="checked"' : '').'>
					<span class="custom-control-label" for="scsi">'.$l['scsi'].'</span>
				</label>
			</div>
		</div>
		<div class="row mx-auto w-100 my-3 vnc_div kvm xen xenhvm xcp xcphvm proxk vzk vzo">
			<div class="col-6 p-0">
				<label class="control-label">VNC</label>
				<span class="help-block">&nbsp;</span>
			</div>
			<div class="col-6 p-0">
				'.get_checkbox('vnc', '', 'vnc', array('chk_it' => 1, 'val' => $plan['vnc'])).'
			</div>
		</div>
		<div class="row mx-auto w-100 my-3 xenhvm" id="shadow_div">
			<div class="col-sm-6 p-0">
				<label class="control-label">'.$l['shadow'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['shadow_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
			</div>
			<div class="col-sm-6 p-0">
				<input type="number" class="form-control side_text" name="shadow" size="10" value="'.POSTval('shadow', $plan['shadow']).'" /><label class="side_lbl">MB</label>
			</div>
		</div>';
		$ploop_flag = ($globals['ploop'] ? 'checked="checked" disabled="disabled"' : '');
		echo'
		<div class="row mx-auto w-100 my-3 openvz">
			<div class="col-6 p-0">
				<label class="control-label">'.$l['ploop'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['ploop_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
			</div>
			<div class="col-6 p-0">
				'.get_checkbox('ploop', '', '', array('chk_it' => 1, 'val' => $plan['ploop']), 1, '', array($ploop_flag)).'
			</div>
		</div>
		<div class="row mx-auto w-100 my-3 kvm_hvm_div kvm xenhvm xcphvm">
			<div class="col-6 p-0">
				<label class="control-label">'.$l['acpi'].'</label>
			</div>
			<div class="col-6 p-0">
				'.get_checkbox('acpi', '', '', array('chk_it' => 1, 'val' => $plan['acpi'])).'
			</div>
		</div>
		<div class="row mx-auto w-100 my-3 kvm_hvm_div kvm xenhvm xcphvm">
			<div class="col-6 p-0">
				<label class="control-label">'.$l['apic'].'</label>
			</div>
			<div class="col-6 p-0">
				'.get_checkbox('apic', '', '', array('chk_it' => 1, 'val' => $plan['apic'])).'
			</div>
		</div>
		<div class="row mx-auto w-100 my-3 kvm_hvm_div kvm xenhvm xcphvm">
			<div class="col-6 p-0">
				<label class="control-label">'.$l['pae'].'</label>
			</div>
			<div class="col-6 p-0">
				'.get_checkbox('pae', '', '', array('chk_it' => 1, 'val' => $plan['pae'])).'
			</div>
		</div>
		<div class="row mx-auto w-100 my-3">
			<div class="col-sm-6 p-0">
				<label class="control-label">'.$l['mg'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['mg_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
			</div>
			<div class="col-sm-6 p-0">
				<select class="virt-select w-100" name="mgs[]" id="mgs" multiple="multiple">';
					$tmp_mgs = empty($_POST['mgs']) ? $plan['mgs'] : $_POST['mgs'];
					foreach($mgs as $mk => $mv){
						echo '<option value="'.$mk.'" type="'.$mv['mg_type'].'" '.(in_array($mk, @$tmp_mgs) ? 'selected="selected"' : '').'>'.$mv['mg_name'].'</option>';
					}
					
				echo '</select>
			</div>
		</div>
		</div><br>
		
		
		<div class="openvz_ubc openvz" style="display:none;" id="ubc">
			<div class="roundheader cursor-pointer" onclick="toggle_advoptions(\'ubc\');"><label id="ubc_advoptions_ind" class="min_width">-</label> &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;'.$l['ubcsettings'].'</div>
			<div id="ubc_advoptions" class="w-100">
				<div class="row mx-auto w-100 my-3" id="ubc">
					<div class="col-6 p-0">
						<label class="control-label">'.$l['ubcsettings'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['exp_ubc'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
					</div>
					<div class="col-6 p-0">
						'.get_checkbox('ubcsettings', '', 'ubcsettings', array('chk_it' => 1, 'val' => (!empty($plan['ubc']) ? 1 : 0)), 1, '', array('onchange="ubcEdit();"')).'
					</div>
				</div>
				<div class="row mx-auto w-100 my-3">
					<div class="col-4 p-0"></div>
					<div class="col-4">
						<label class="control-label">'.$l['barrier'].'</label>
					</div>
					<div class="col-4">
						<label class="control-label">'.$l['limit'].'</label>
					</div>
				</div>';
			
				foreach($_ubc as $k){
					
					echo '<div class="row mx-auto w-100 my-3">
					<div class="col-4 p-0">
							<label class="control-label">'.$l[$k].'</label></div>
						<div class="col-4 pl-0">
							<input type="text" class="form-control w-100" name="b'.$k.'" id="b'.$k.'" size="30" value="'.POSTval('b'.$k, @$plan['ubc'][$k][0]).'" />
							<span class="help-block"></span>
						</div>
						<div class="col-4 pr-0">
							<input type="text" class="form-control w-100" name="l'.$k.'" id="l'.$k.'" size="30" value="'.POSTval('l'.$k, @$plan['ubc'][$k][1]).'" />
						</div>
					</div>';	
				}
		echo '</div>
		</div><br>		
	</div>
	<div class="col-sm-12 col-md-12 col-lg-6">
		';
		$allcores_flag = (!empty($_POST) ? (is_array($_POST['cpupin']) ? '' : 'checked="checked"') : 'checked="checked"');
		echo'
		<div class="roundheader cursor-pointer" onclick="toggle_advoptions(\'adv\');"><label id="adv_advoptions_ind" class="min_width">-</label> &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;'.$l['addvoption'].'</div>
		<div id="adv_advoptions" class="w-100">
			<!--<div class="row mx-auto w-100 my-3">
				<div class="col-6">
					<label class="control-label">'.$l['cpupin'].'</label>
					<span class="help-block">'.$l['cpupin_exp'].'</span>
				</div>
				<div class="col-6">
					'.get_checkbox('allcores', '', 'allcores', array('chk_it' => 0), -1, '', array($allcores_flag, 'onchange="pincheck();')).'
				</div>
			</div>
			<div id="pincores" class="row mx-auto w-100 my-3">
				<div class="col-6">
					<label class="control-label">'.$l['cpupin_select'].'</label>
				</div>
				
				<div class="col-6">';
				for($i=0; $i < $resources['cpucores']; $i++){
					$cpucores_flag = (in_array($i, @$_POST['cpupin']) || in_array((string)$i, @$_POST['cpupin']) ? 'checked="checked"' : '');

					echo ''.get_checkbox('cpupin['.$i.']', '', 'pin'.$i, array('chk_it' => 0), $i, '', array($cpucores_flag));
				}
				
				echo '</div>
			</div>-->
			<div class="row mx-auto w-100 my-3">
				<div class="col-sm-6 p-0">
					<label class="control-label">'.$l['ip_pool'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['ip_pool_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
				</div>
				<div class="col-sm-6 p-0">
					<select multiple="multiple" class="virt-select" name="ippoolid[]" id="ippoolid">';
						foreach($ippools as $k => $v){
							echo '<option value="'.$k.'" '.(in_array($k, $plan['ippoolid']) ? 'selected="selected"' : '').'">'.$v['ippool_name'].(!empty($v['ipv6']) ? " (IPv6)" : (!empty($v['internal']) ? " (".$l['internal'].")" : " (IPv4)")).'</option>';
						}
					echo '</select>
				</div>
			</div>
			
			<div class="row mx-auto w-100 my-3 openvz vzo lxc">
				<div class=" col-6 p-0">
					<label class="control-label">'.$l['tuntap'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['exp_tuntap'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
				</div>
				<div class=" col-6 p-0">
					'.get_checkbox('tuntap', '', 'tuntap', array('chk_it' => 1, 'val' => $plan['tuntap'])).'
				</div>
			</div>
			<div class="row mx-auto w-100 my-3 openvz vzo">
				<div class=" col-6 p-0">
					<label class="control-label">'.$l['ppp'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['exp_ppp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
				</div>
				<div class=" col-6 p-0">
					'.get_checkbox('ppp', '', 'ppp', array('chk_it' => 1, 'val' => $plan['ppp'])).'
				</div>
			</div>
			<div class="row mx-auto w-100 my-3 openvz vzo">
				<div class=" col-6 p-0">
					<label class="control-label">'.$l['fuse'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['fuse_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
				</div>
				<div class=" col-6 p-0">
					'.get_checkbox('fuse', '', '', array('chk_it' => 1, 'val' => $plan['fuse'])).'
				</div>
			</div>
			<div class="row mx-auto w-100 my-3 openvz vzo">
				<div class=" col-6 p-0">
					<label class="control-label">'.$l['ipip'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['ipip_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
				</div>
				<div class=" col-6 p-0">
					'.get_checkbox('ipip', '', '', array('chk_it' => 1, 'val' => $plan['ipip'])).'
				</div>
			</div>
			<div class="row mx-auto w-100 my-3 openvz vzo">
				<div class=" col-6 p-0">
					<label class="control-label">'.$l['ipgre'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['ipgre_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
				</div>
				<div class=" col-6 p-0">
					'.get_checkbox('ipgre', '', '', array('chk_it' => 1, 'val' => $plan['ipgre'])).'
				</div>
			</div>
			<div class="row mx-auto w-100 my-3 openvz vzo">
				<div class=" col-6 p-0">
					<label class="control-label">'.$l['nfs'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['nfs_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
				</div>
				<div class=" col-6 p-0">
					'.get_checkbox('nfs', '', '', array('chk_it' => 1, 'val' => $plan['nfs'])).'
				</div>
			</div>
			<div class="row mx-auto w-100 my-3 openvz vzo">
				<div class="col-sm-6 p-0">
					<label class="control-label">'.$l['quotaugidlimit'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['quotaugidlimit_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
				</div>
				<div class="col-sm-6 p-0">
					<input type="number" class="form-control" name="quotaugidlimit" id="quotaugidlimit" size="30" value="'.POSTval('quotaugidlimit', $plan['quotaugidlimit']).'" />
				</div>
			</div>
			<div class="row mx-auto w-100 my-3 openvz vzo">
				<div class="col-sm-6 p-0">
					<label class="control-label">'.$l['iolimit'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['iolimit_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
				</div>
				<div class="col-sm-6 p-0">
					<input type="number" class="form-control" name="iolimit" id="iolimit" size="30" value="'.POSTval('iolimit', $plan['iolimit']).'" />
				</div>
			</div>
			<div class="row mx-auto w-100 my-3 openvz vzo">
				<div class="col-sm-6 p-0">
					<label class="control-label">'.$l['iopslimit'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['iopslimit_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
				</div>
				<div class="col-sm-6 p-0">
					<input type="number" class="form-control" name="iopslimit" id="iopslimit" size="30" value="'.POSTval('iopslimit', $plan['iopslimit']).'" />
				</div>
			</div>
			<div class="row mx-auto w-100 my-3">
				<div class="col-sm-6 p-0">
					<label class="control-label">'.$l['control_panel'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['control_panel_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
				</div>
				<div class="col-sm-6 p-0">
					<select class="custom-select" name="control_panel" id="control_panel" >
						<option value="0" '.ex_POSTselect('control_panel', 'none', $plan['control_panel']).'>None</option>
						<option value="cpanel" '.ex_POSTselect('control_panel', 'cpanel', $plan['control_panel']).'>cPanel</option>
						<option value="webuzo" '.ex_POSTselect('control_panel', 'webuzo', $plan['control_panel']).'>Webuzo</option>
						<option value="plesk" '.ex_POSTselect('control_panel', 'plesk', $plan['control_panel']).'>Plesk</option>
						<option value="webmin" '.ex_POSTselect('control_panel', 'webmin', $plan['control_panel']).'>Webmin</option>
						<option value="interworx" '.ex_POSTselect('control_panel', 'interworx', $plan['control_panel']).'>Interworx</option>
						<option value="ispconfig" '.ex_POSTselect('control_panel', 'ispconfig', $plan['control_panel']).'>ISPConfig</option>
						<option value="cwp" '.ex_POSTselect('control_panel', 'cwp', $plan['control_panel']).'>CentOS Web Panel</option>
						<option value="vesta" '.ex_POSTselect('control_panel', 'vesta', $plan['control_panel']).'>VestaCP</option>
					</select>
				</div>
			</div>';
			
			if(!empty($globals['premium_apps'])){
				echo '
					<div id="premium_apps_cb" class="row mx-auto w-100 my-3">
						<div class="col-6 p-0">
							<label class="control-label">'.$l['premium_apps_plan'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['premium_apps_plan_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
						</div>
						<div class="col-6 p-0 ">
							'.get_checkbox('premium_apps_plan', '', 'premium_apps_plan', array('chk_it' => 1, 'val' => $plan['webuzo_data'])).'
						</div>
					</div>';
			}
			
			echo '
	<!--Multi Recipe-->
	<div class="row mx-auto w-100 my-3">
		<div class="col-6 p-0">
			<label class="control-label">'.$l['recipe'].'&nbsp;<a class="info data-placement="right" tooltip="'.$l[recipe_exp].'"><i class="fas text-primary fa-info-circle"></i></a></label>
			
		</div>
		<div class="col-6 p-0 server-select-lg">
			<select class="form-control virt-select" name="recipe[]" id="recipe" multiple="multiple" style="width:100%">';
			$tmp_rids = empty($_POST['recipe']) ? $plan['recipe'] : $_POST['recipe'];
			
			if(!empty($tmp_rids)){
				$tmp_rids = (is_array($tmp_rids) ? $tmp_rids : array($tmp_rids));
			}
			
			foreach($recipes as $k => $v){
				echo '<option value="'.$k.'" >'.$v['name'].'</option>';
			}
				
			echo '</select>
		</div>
		<script type = "text/javascript">
			var recSeq = '.json_encode(@$tmp_rids).';
			if(recSeq){
				recSeq.forEach(item => { // iterate through array of items that need to be pre-selected
					let value = $("#recipe option[value="+item+"]").text(); // get items inner text
					$("#recipe option[value="+item+"]").remove(); // remove current item from DOM
					$("#recipe").append(new Option(value, item, true, true)).trigger("change"); // append it, making it selected by default
				 });
			}
		</script>
			</div>
			<div class="kvm proxk xcp xcphvm vzk">
				<div class="row mx-auto w-100 my-3 xcp xcphvm">
					<div class="col-6 p-0">
						<label class="control-label">'.$l['install_xentools'].'</label>
					</div>
					<div class="col-6 p-0">
						'.get_checkbox('install_xentools', '', 'install_xentools', array('chk_it' => 1, 'val' => $plan['install_xentools'])).'
					</div>
				</div>
				<div class="row mx-auto w-100 my-3 kvm proxk" id="kvm_cpu_mode">
					<div class="col-sm-6 p-0">
						<label class="control-label">'.$l['cpu_mode'].'</label>
					</div>
					<div class="col-sm-6 p-0">
						<select class="custom-select" name="cpu_mode" id="cpu_mode" >
							<option value="default" '.ex_POSTselect('cpu_mode', 'default', $plan['cpu_mode']).'>Default</option>
							<option value="host-model" '.ex_POSTselect('cpu_mode', 'host-model', $plan['cpu_mode']).'>Host Model</option>
							<option class="kvm proxk" value="host-passthrough" '.ex_POSTselect('cpu_mode', 'host-passthrough', $plan['cpu_mode']).'>Host Passthrough</option>
							<option class="proxk" value="486" '.ex_POSTselect('cpu_mode', '486', $plan['cpu_mode']).'>486</option>
							<option class="proxk" value="athlon" '.ex_POSTselect('cpu_mode', 'athlon', $plan['cpu_mode']).'>athlon</option>
							<option class="proxk" value="pentium" '.ex_POSTselect('cpu_mode', 'pentium', $plan['cpu_mode']).'>pentium</option>
							<option class="proxk" value="pentium2" '.ex_POSTselect('cpu_mode', 'pentium2', $plan['cpu_mode']).'>pentium2</option>
							<option class="proxk" value="pentium3" '.ex_POSTselect('cpu_mode', 'pentium3', $plan['cpu_mode']).'>pentium3</option>
							<option class="proxk" value="coreduo" '.ex_POSTselect('cpu_mode', 'coreduo', $plan['cpu_mode']).'>coreduo</option>
							<option class="proxk" value="core2duo" '.ex_POSTselect('cpu_mode', 'core2duo', $plan['cpu_mode']).'>core2duo</option>
							<option class="proxk" value="kvm32" '.ex_POSTselect('cpu_mode', 'kvm32', $plan['cpu_mode']).'>kvm32</option>
							<option class="proxk" value="qemu32" '.ex_POSTselect('cpu_mode', 'qemu32', $plan['cpu_mode']).'>qemu32</option>
							<option class="proxk" value="qemu64" '.ex_POSTselect('cpu_mode', 'qemu64', $plan['cpu_mode']).'>qemu64</option>
							<option class="proxk" value="phenom" '.ex_POSTselect('cpu_mode', 'phenom', $plan['cpu_mode']).'>phenom</option>
							<option class="proxk" value="Conroe" '.ex_POSTselect('cpu_mode', 'Conroe', $plan['cpu_mode']).'>Conroe</option>
							<option class="proxk" value="Penryn" '.ex_POSTselect('cpu_mode', 'Penryn', $plan['cpu_mode']).'>Penryn</option>
							<option class="proxk" value="Nehalem" '.ex_POSTselect('cpu_mode', 'Nehalem', $plan['cpu_mode']).'>Nehalem</option>
							<option class="proxk" value="Westmere" '.ex_POSTselect('cpu_mode', 'Westmere', $plan['cpu_mode']).'>Westmere</option>
							<option class="proxk" value="SandyBridge" '.ex_POSTselect('cpu_mode', 'SandyBridge', $plan['cpu_mode']).'>SandyBridge</option>
							<option class="proxk" value="IvyBridge" '.ex_POSTselect('cpu_mode', 'IvyBridge', $plan['cpu_mode']).'>IvyBridge</option>
							<option class="proxk" value="Haswell" '.ex_POSTselect('cpu_mode', 'Haswell', $plan['cpu_mode']).'>Haswell</option>
							<option class="proxk" value="Broadwell" '.ex_POSTselect('cpu_mode', 'Broadwell', $plan['cpu_mode']).'>Broadwell</option>
							<option class="proxk" value="Opteron_G1" '.ex_POSTselect('cpu_mode', 'Opteron_G1', $plan['cpu_mode']).'>Opteron_G1</option>
							<option class="proxk" value="Opteron_G2" '.ex_POSTselect('cpu_mode', 'Opteron_G2', $plan['cpu_mode']).'>Opteron_G2</option>
							<option class="proxk" value="Opteron_G3" '.ex_POSTselect('cpu_mode', 'Opteron_G3', $plan['cpu_mode']).'>Opteron_G3</option>
							<option class="proxk" value="Opteron_G4" '.ex_POSTselect('cpu_mode', 'Opteron_G4', $plan['cpu_mode']).'>Opteron_G4</option>
							<option class="proxk" value="Opteron_G5" '.ex_POSTselect('cpu_mode', 'Opteron_G5', $plan['cpu_mode']).'>Opteron_G5</option>
						</select>
					</div>
				</div>
				<div class="row mx-auto w-100 my-3 kvm proxk xcp" id="enable_cpu_topology_row">
					<div class="col-6 p-0">
						<label class="control-label">'.$l['enable_cpu_topology'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['enable_cpu_topology_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
					</div>
					<div class="col-6 p-0">
						'.get_checkbox('enable_cpu_topology', '', 'enable_cpu_topology', array('chk_it' => 1, 'val' => $plan['topology_sockets']), 1, '', array('onchange="change_cpu_topology();"')).'
					</div>
				</div>
				<div id="cpu_topology">
					<div class="row mx-auto w-100 my-3">
						<div class="col-sm-6 p-0">
							<label class="control-label">Sockets</label>
						</div>
						<div class="col-sm-6 p-0">
							<input type="text" name="topology_sockets" id="topology_sockets" class="form-control numbersonly" size="6" value="'.POSTval('topology_sockets', $plan['topology_sockets']).'" />
						</div>
					</div>
					<div class="row mx-auto w-100 my-3">
						<div class="col-sm-6 p-0">
							<label class="control-label">Cores</label>
						</div>
						<div class="col-sm-6 p-0">
							<input type="number" class="form-control numbersonly" name="topology_cores" id="topology_cores" size="6" value="'.POSTval('topology_cores', $plan['topology_cores']).'" />
						</div>
					</div>
					<div class="row mx-auto w-100 my-3 kvm">
						<div class="col-sm-6 p-0">
							<label class="control-label">Threads</label>
						</div>
						<div class="col-sm-6 p-0">
							<input type="number" class="form-control numbersonly" name="topology_threads" id="topology_threads" size="6" value="'.POSTval('topology_threads', $plan['topology_threads']).'" />
						</div>
					</div>
				</div>';
			
				if(!empty($isos)){
					echo '<div class="row mx-auto w-100 my-3 kvm vzk proxk" id="sec_iso_div">
						<div class="col-sm-6 p-0">
							<label class="control-label">'.$l['sec_vsiso'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['sec_vsiso_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
						</div>
						<div class="col-sm-6 p-0">
						<select class="custom-select virt-select" name="sec_iso">
						<option value="0" '.ex_POSTselect('sec_iso', 0, $plan['sec_iso']).'>'.$l['none'].'</option>';
					
						foreach($isos as $k => $v){	
							echo '<option value="'.$k.'" '.ex_POSTselect('sec_iso', $k, $plan['sec_iso']).' >'.$v['name'].'</option>';
						}
						
						 echo'</select>
						</div>
					</div>';
				}
			echo '</div>
			<div class="row mx-auto w-100 my-3 kvm xen xenhvm xcp xcphvm" id="vnc_keymap_div">
				<div class="col-sm-6 p-0">
					<label class="control-label">'.$l['vnc_keymap'].'</label>
				</div>
				<div class="col-sm-6 p-0">
					<select class="virt-select" name="vnc_keymap" id="vnc_keymap" >';
						foreach($vnc_keymap_array as $kk => $vv){
							echo '<option value="'.$vv.'" '.ex_POSTselect('vnc_keymap', $vv, $plan['vnc_keymap']).'>'.$vv.'</option>';
						}
						echo '
					</select>
				</div>
			</div>
			<div class="kvm proxk">
				<div class="row mx-auto w-100 my-3" id="kvm_cache_div">
					<div class="col-sm-6 p-0">
						<label class="control-label">'.$l['kvm_cache'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['exp_kvm_cache'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
					</div>
					<div class="col-sm-6 p-0">
						<select class="custom-select" name="kvm_cache" id="kvm_cache" >
							<option value="0" '.ex_POSTselect('kvm_cache', 'none', $plan['kvm_cache']).'>None</option>
							<option value="writeback" '.ex_POSTselect('kvm_cache', 'writeback', $plan['kvm_cache']).'>Writeback</option>
							<option value="writethrough" '.ex_POSTselect('kvm_cache', 'writethrough', $plan['kvm_cache']).'>Writethrough</option>
							<option value="default" '.ex_POSTselect('kvm_cache', 'default', $plan['kvm_cache']).'>Default</option>
							<option value="directsync" '.ex_POSTselect('kvm_cache', 'directsync', $plan['kvm_cache']).'>Direct Sync</option>
						</select>
					</div>
				</div>

			
				<div class="row mx-auto w-100 my-3 kvm" id="io_mode_div">
					<div class="col-sm-6 p-0">
						<label class="control-label">'.$l['io_mode'].'</label>
					</div>
					<div class="col-sm-6 p-0">
						<select class="custom-select" name="io_mode" id="io_mode" >
							<option value="0" '.ex_POSTselect('io_mode', 'default', $plan['io_mode']).'>Default</option>
							<option value="native" '.ex_POSTselect('io_mode', 'native', $plan['io_mode']).'>Native</option>
							<option value="threads" '.ex_POSTselect('io_mode', 'threads', $plan['io_mode']).'>Threads</option>
						</select>
					</div>
				</div>
				<div class="row mx-auto w-100 my-3 kvm" id="kvm_vga_div">
					<div class=" col-6 p-0">
						<label class="control-label">'.$l['kvm_vga'].'</label>
					</div>
					<div class=" col-6 p-0">
						'.get_checkbox('kvm_vga', '', 'kvm_vga', array('chk_it' => 1, 'val' => $plan['kvm_vga']), 1, '', array('onchange="enable_accel();"')).'
					</div>
				</div>
				
				<div class="row mx-auto w-100 my-3 proxk" id="proxmox_numa">
					<div class="col-6 p-0">
						<label class="control-label">'.$l['usenuma'].'</label>
					</div>
					<div class="col-6 p-0">
						'.get_checkbox('numa', '', 'numa', array('chk_it' => 1, 'val' => $plan['numa'])).'
					</div>
				</div>
				
				<div class="row mx-auto w-100 my-3" id="set_vga_vram" style="display:none;">
					<div class=" col-6 p-0">
						<label class="control-label">'.$l['vga_vram'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['vga_vram_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
					</div>

					<div class=" col-6 p-0">
						<div class="input-group ">
							<input type="number" class="form-control rounded" name="vga_vram" id="vga_vram" size="10" value="'.POSTval('vga_vram', $data_decode['vga_vram']).'" />
							<div class="input-group-append">
								<span class="p-1 pt-2">MB</span>
							</div>
						</div>
					</div>
				</div>

				<div class="row mx-auto w-100 my-3 kvm" id="enable_acceleration" style="display:none;">
					<div class=" col-6 p-0">
						<label class="control-label">'.$l['acceleration'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['acceleration_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
					</div>
					<div class=" col-6 p-0">
						'.get_checkbox('acceleration', '', 'acceleration', array('chk_it' => 1, 'val' => $plan['acceleration'])).'
					</div>
				</div>
				<div class="row mx-auto w-100 my-3 kvm" id="total_iops_sec_div">
					<div class="col-sm-6 p-0">
						<label class="control-label">'.$l['total_iops_sec'].'</label>
					</div>
					<div class="col-sm-6 p-0">
						<input type="number" class="form-control" name="total_iops_sec" value="'.POSTval('total_iops_sec', $plan['total_iops_sec']).'" />
					</div>
				</div>
				<div class="row mx-auto w-100 my-3 kvm" id="read_bytes_sec_div">
					<div class="col-sm-6 p-0">
						<label class="control-label">'.$l['read_bytes_sec'].'</label>
					</div>
					<div class="col-sm-6 p-0">
						<div class="input-group ">
							<input type="number" class="form-control rounded" name="read_bytes_sec" value="'.POSTval('read_bytes_sec', $plan['read_bytes_sec']).'" />
						<div class="input-group-append">
							<span class="p-1 pt-2">MB/s</span>
						</div>
						</div>
					</div>
				</div>
				<div class="row mx-auto w-100 my-3 kvm" id="write_bytes_sec_div">
					<div class="col-sm-6 p-0">
						<label class="control-label">'.$l['write_bytes_sec'].'</label>
					</div>
					<div class="col-sm-6 p-0">
						<div class="input-group ">
							<input type="number" class="form-control rounded" name="write_bytes_sec" value="'.POSTval('write_bytes_sec', $plan['write_bytes_sec']).'" />
						<div class="input-group-append">
							<span class="p-1 pt-2">MB/s</span>
						</div>
						</div>
					</div>
				</div>';
				
			echo '</div> ';
			
			
			$os_type = array('other' => 'unspecified OS / Default',
								'wxp' => 'Microsoft Windows XP',
								'w2k' => 'Microsoft Windows 2000',
								'w2k3' => 'Microsoft Windows 2003',
								'w2k8' => 'Microsoft Windows 2008',
								'wvista' => 'Microsoft Windows Vista',
								'win7' => 'Microsoft Windows 7',
								'win8' => 'Microsoft Windows 8/2012/2012r2',
								'win10' => 'Microsoft Windows 10/2016',
								'l24' => 'Linux 2.4 Kernel',
								'l26' => 'Linux 2.6 - 5.X Kernel',
								'solaris' => 'Solaris/OpenSolaris/OpenIndiania kernel'
							);	
			echo '
			<div class="row mx-auto w-100 my-3 proxk">
				<div class="col-sm-6 p-0">
					<label class="control-label">'.$l['os_type'].' &nbsp;<a class="info" data-placement="right" tooltip="'.$l['os_type_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label><br>
				</div>
				<div class="col-sm-6 p-0">
					<select class="custom-select virt-select" name="os_type" id="os_type">';
					foreach($os_type as $os_value => $os_full_form){
						echo '<option value="'.$os_value.'" '.(($data_decode['os_type'] == $os_value) ? 'selected = "selected"' : '').'>'.$os_full_form.'</option>';
					}
				echo'	</select>
				</div>
			</div>';
			
			$rtc = array('0' => $l['ms_disable'],
					 '1' => $l['ms_enable']
					);
			echo '
			<div class="row mx-auto w-100 my-3 proxk">
				<div class="col-sm-6 p-0">
					<label class="control-label">'.$l['rtc'].' &nbsp;<a class="info" data-placement="right" tooltip="'.$l['rtc_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label><br>
					</div>
				<div class="col-sm-6 p-0">
					<select class="custom-select virt-select" name="rtc" id="rtc">';
					foreach($rtc as $bol => $options){
						echo '<option value="'.$bol.'" '.(($data_decode['rtc'] == $bol) ? 'selected = "selected"' : '').'>'.$options.'</option>';
					}
				echo'	</select>
				</div>
			</div>';


			echo'
			<div class="row mx-auto w-100 my-3 kvm_hvm_div kvm xenhvm xcphvm vzk proxk">
				<div class=" col-6 p-0">
					<label class="control-label">'.$l['rdp'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['exp_rdp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
				</div>
				<div class=" col-6 p-0">
					'.get_checkbox('rdp', '', 'rdp', array('chk_it' => 1, 'val' => $plan['rdp'])).'
				</div>
			</div>	
			<div id="tr_pvonhvm" class="row mx-auto w-100 my-3 pv_on_hvm_div xenhvm">
				<div class=" col-6 p-0">
					<label class="control-label">'.$l['pv_on_hvm'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['exp_pv_on_hvm'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
				</div>
				<div class=" col-6 p-0">
					'.get_checkbox('pv_on_hvm', '', 'pv_on_hvm', array('chk_it' => 1, 'val' => $plan['pv_on_hvm']), 1, '', array('onchange="ispvonhvm();"')).'
				</div>
			</div>
			<div id="tr_viftype" class="row mx-auto w-100 my-3 xenhvm">
				<div class="col-6 p-0">
					<label class="control-label">'.$l['change_vif_type'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['exp_change_vif_type'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
				</div>
				<div class="col-6 p-0">
					<label class="custom-control custom-radio">
							<input type="radio" name="vif_type"  value="netfront" id="netfront" '.POSTradio('vif_type', 'netfront', $plan['vif_type']).' class="custom-control-input" >
							<span class="custom-control-label" for="netfront">'.$l['viftype_netfront'].'</span>
						</label>
						<label class="custom-control custom-radio">
							<input type="radio" name="vif_type"  value="ioemu" id="ioemu" '.POSTradio('vif_type', 'ioemu', $plan['vif_type']).' class="custom-control-input" >
							<span class="custom-control-label" for="ioemu">'.$l['viftype_ioemu'].'</span>
						</label>
				</div>
			</div>
			<div class="row mx-auto w-100 my-3">
				<div class="col-sm-6 p-0">
					<label class="control-label">'.$l['osreinstall'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['exp_osreinstall'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
				</div>
				<div class="col-sm-6 p-0">
					<input type="number" class="form-control" name="osreinstall_limit" id="osreinstall_limit"  value="'.POSTval('osreinstall_limit', $plan['osreinstall_limit']).'"/>
				</div>
			</div>
			<div class="row mx-auto w-100 my-3">
				<div class="col-6 p-0">
					<label class="control-label">'.$l['admin_managed'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['exp_admin_managed'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
				</div>
				<div class="col-6 p-0">
					'.get_checkbox('admin_managed', '', 'admin_managed', array('chk_it' => 1, 'val' => $plan['admin_managed'])).'
				</div>
			</div>
			<div class="row mx-auto w-100 my-3 kvm">
				<div class="col-6 p-0">
					<label class="control-label">'.$l['ha'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['exp_ha'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
				</div>
				<div class="col-6 p-0">
					'.get_checkbox('ha', '', 'ha', array('chk_it' => 1, 'val' => $data_decode['ha'])).'
				</div>
			</div>
			<div class="row mx-auto w-100 my-3 kvm xen xenhvm xcp xcphvm lxc vzk proxk proxl" id="disable_nw_config_row">
				<div class="col-6 p-0">
					<label class="control-label">'.$l['disable_nw_config'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['exp_disable_nw_config'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
				</div>
				<div class="col-6 p-0">
					'.get_checkbox('disable_nw_config', '', 'disable_nw_config', array('chk_it' => 1, 'val' => $plan['disable_nw_config'])).'
				</div>
			</div>
		</div><br>
		
		<div class="roundheader cursor-pointer" onclick="toggle_advoptions(\'network\');"><label id="network_advoptions_ind" class="min_width">-</label> &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;'.$l['networksettings'].'</div>
		<div id="network_advoptions" class="w-100">
			<div class="row mx-auto w-100 my-3">
				<div class="col-sm-6 p-0">
					<label class="control-label">'.$l['upload_speed'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['upload_speed_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
				</div>
				<div class="col-sm-6 p-0">
					<div class="row mx-auto w-100">
						<div class="col-3 p-0">
							<input type="number" class="form-control" name="upload_speed" id="upload_speed" size="8" value="'.POSTval('upload_speed', $plan['upload_speed']).'" onchange="handle_capping();" />
						</div>
						<div class="col-2 p-0 p-1 pt-2">'.$l['net_kb'].'</div>
						<div class="col-7 p-0">
							<select class="custom-select speedmbits" name="upload_speed2" id="upload_speed2" onchange="upspeed(this.value)"></select>
						</div>
					</div>
				</div>
				
			</div>
			<div class="row mx-auto w-100 my-3 kvm xen xenhvm vzk proxk" id="nic_settings">
				<div class="col-sm-6 p-0">
					<label class="control-label">'.$l['nic_type'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['nic_type'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
				</div>
				<div class="col-sm-6 p-0">
					<select class="nic_type custom-select form-control w-100 side_text" name="nic_type" id="nic_type" >';
						
						foreach($supported_nics as $k => $v){
							
							echo '<option value="'.$v.'" '.ex_POSTselect('nic_type', $v, $plan['nic_type']).'>'.(!empty($l['nic_'.$v]) ? $l['nic_'.$v] : $v).'</option>';
						}
						
					echo'
					</select>
				</div>
			</div>
			<div class="row mx-auto w-100 my-3">
				<div class="col-6 p-0">
					<label class="control-label">'.$l['band_suspend'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['exp_band_suspend'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
				</div>
				<div class="col-6 p-0">
					'.get_checkbox('band_suspend', '', 'band_suspend', array('chk_it' => 1, 'val' => $plan['band_suspend']), 1, '', array('onchange="handle_capping();"')).'
				</div>
			</div>
			<div id="speed_cap_limit">
				<div class="row mx-auto w-100 my-3">
					<div class="col-sm-6 p-0">
						<label class="control-label">'.$l['speed_cap_down'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['exp_speed_cap_down'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
					</div>
					<div class="col-sm-6 p-0">
						<div class="row mx-auto w-100">
							<div class="col-3 p-0">
								<input type="number" class="form-control" name="speed_cap_down" id="speed_cap_down" value="'.POSTval('speed_cap_down', $plan['speed_cap']['down']).'" onmouseout="blur();"/>
							</div>
							<div class="col-2 p-1 pt-2 p-0">
								'.$l['net_kb'].'
							</div>
							<div class="col-7 p-0">
								<select class="custom-select speedmbits" name="speed_cap_down2" id="speed_cap_down2" onchange="$(\'#speed_cap_down\').val(this.value)"></select>
							</div>
						</div>
					</div>
				</div>
				<div class="row mx-auto w-100 my-3">
					<div class=" col-sm-6 p-0">
						<label class="control-label">'.$l['speed_cap_up'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['exp_speed_cap_up'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
					</div>
					<div class="col-sm-6 p-0">
						<div class="row mx-auto w-100">
							<div class="col-3 p-0">
								<input type="number" class="form-control" name="speed_cap_up" id="speed_cap_up" value="'.POSTval('speed_cap_up', $plan['speed_cap']['up']).'" onmouseout="blur();" />
							</div>
							<div class="col-2 p-1 pt-2 p-0">
								'.$l['net_kb'].'
							</div>
							<div class="col-7 p-0">
								<select class="custom-select speedmbits" name="speed_cap_up2" id="speed_cap_up2" onchange="$(\'#speed_cap_up\').val(this.value)"></select>
							</div>
						</div>
					</div>
				</div>
			</div>
			<div class="row mx-auto w-100 my-3">
				<div class="col-sm-6 p-0">
					<label class="control-label">'.$l['dns'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['exp_dns'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
				</div>
				<div class="col-sm-6 p-0">
					<div class="row mx-auto w-100 my-1">
							<div class="col-sm-12 p-0" id="dnstable">';
						 
								$_dns = @(empty($_POST['dns']) ? $plan['dns_nameserver'] : $_POST['dns']);
								
								if(is_array($_dns) && !empty($_dns)){
									foreach($_dns as $d => $ds){
										if(empty($ds)){
											unset($_dns[$d]);
										}
									}
								}
								
								if(empty($_dns)){
									$_dns = array(NULL);
								}
							 
								foreach($_dns as $dn){
									echo '<div class="row mx-auto w-100 my-1">
										<div class="col-sm-11 p-0">
											<input type="text" class="form-control w-100" name="dns[]" value="'.$dn.'"/>
										</div>
									</div>';
								}
								
							echo '
							</div>
						</div>
					<input type="button" class="btn mt-1 blue_btn py-1 px-2" onclick="adddnsrow(\'dnstable\')" value="'.$l['add_dns'].'"/>
					<span class="help-block"></span>
				</div>
			</div>
		</div><br />';
		
		if(!empty($globals['inhouse_billing'])){
	
		echo '
		<div class="roundheader cursor-pointer" onclick="toggle_advoptions(\'pricing\');"><label id="pricing_advoptions_ind" class="min_width" >-</label> &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;'.$l['pricing'].'</div>
		<div id="pricing_advoptions" class="w-100" >
			<div class="row mx-auto w-100 my-3 ">
				<div class="col-2 p-0"><label>'.$l['regions'].'</label></div>

					<div class="col-3">
						<label>'.$l['h_rate'].'</label>
					</div>
					<div class="col-3 text-center">
						<label>'.$l['m_rate'].'</label>
					</div>
					<div class="col-3 text-center">
						<label>'.$l['y_rate'].'</label>
					</div>
			</div><hr />
			<div class="row mx-auto w-100 my-3" id="pricerowscontainer" >
			</div>
			<div class="row mx-auto w-100 my-3">
				<div class="col-sm-12 text-right p-0">
					<button type="button" class="btn blue_btn py-2 px-2" data-toggle1="modal" data-target1="#selectregionforpricing" onclick="selectregmod();" ><i class="fas fa-plus"></i></button>
				</div>
			</div>
			<div class="modal fade" id="selectregionforpricing" role="dialog">
				<div class="modal-dialog">
					<div class="modal-content">
						<div class="modal-header">
							<div class="modal-title float-left"><b>'.$l['sel_reg'].'</b></div>
							<div class="close" data-dismiss="modal" >X</div>
						</div>
						<div class="modal-body"></div>
					</div>
				</div>
			</div>
			<style>
				#selectregionforpricing .close{
					color: white;
					weight: bold;
					cursor: pointer;
					font-size: 15px;
					padding-top: 18px;
					
				}
				#sglist{
				}
				.selregrowclass div{
					background-color: #eaeaea;			
					margin: 1px;
					padding: 5px;
					cursor: pointer;
				}
				.selregrowclass div:active{
					background-color: #a7e2ff;
				}
			</style>
		</div>
		<script>
			var ratetypes = ["h_rate", "m_rate", "y_rate"];
			
			// tmpsgs will act as a bucket, and store servergroups currently for which pricing is not added.
			var tmpsgs = JSON.parse(JSON.stringify(servergroups));
			
			// Fill and display modal with available servergroups
			function selectregmod(){
				
				if(JSON.stringify(tmpsgs) == "{}"){
					showalert("'.$l['no_reg_add'].'" ,"1");
					return;
				}
				
				var dv = "";
				dv += "<div class=\"row mh-25 p-1 overflow-auto\" id=\"sglist\">";
				
				for(var x in tmpsgs){
					if(tmpsgs.hasOwnProperty(x) && tmpsgs[x] != null){
						dv += "<div class=\"col-sm-6 p-0 selregrowclass\">";
							dv += "<div class=\"row\" id=\""+tmpsgs[x].sgid+"\" onclick=\"moreregionpricing(this); $(this).removeAttr(\'onclick\'); $(this).css(\'color\', \'#aeaeae\');\">";
								dv += "<div class=\"col-sm-1\">"+(tmpsgs[x].sgid == -1 ? "*" : tmpsgs[x].sgid)+"</div>";
								dv += "<div class=\"col-sm-10\">"+tmpsgs[x].sg_name+"</div>";
							dv += "</div>";
						dv += "</div>";
					}
				}
				dv += "</div>";
				$("#selectregionforpricing .modal-body").html(dv);
				$("#selectregionforpricing").modal({keyboard: true});
				$("#selectregionforpricing").modal({show:true});
			}
			
			// Add selected region (servergroup) pricing row
			function moreregionpricing(selreg, reload){
				// Return back if we do not have a valid servergroup to add or if we are not reloading old values back.
				if(reload != 1 && (selreg == "" || $(selreg).attr("id") == null)){
					return false;
				}
				
				// Extract sgid
				var rsgid = (reload == 1 ? selreg : $(selreg).attr("id"));
				// Construct div for this sgid:
				var prow = "";
				prow += "<div class=\"row mx-auto w-100 my-1\" id=\"pricerow"+rsgid+"\">";
				prow += "<div class=\"col-2 p-0 text-break\">";
				prow += "<label>"+servergroups[rsgid].sg_name+"</label>";
				prow += "</div>";
				for(var i in ratetypes){
					prow += "<div class=\"col-3\">";
					prow += "<input type=\"number\" step=\"0.001\" class=\"form-control\" name=\""+ratetypes[i]+"["+rsgid+"]\" id=\""+ratetypes[i]+"["+rsgid+"]\" value=\"\" />";
					prow += "</div>";
				}
					
				prow += "<div class=\"col-1 text-right\">";
				prow += "<button type=\"button\" class=\"btn red_btn py-2 px-2\" onclick=\"removepricing(this)\"><i class=\"fas fa-minus\"></i></button>";
				prow += "</div>";
				prow += "</div>";
				
				
				// Append this new div to pricerowcontainer div
				$("#pricerowscontainer").append(prow);
				
				// Remove this servergroup from the tmpsgs bucket
				delete tmpsgs[rsgid];
			}
			
			// Remove selected region pricing row
			function removepricing(id){
				// Remove selected pricing region
				$("#"+$(id).parents().eq(1).attr("id")).remove();
				
				// Get Pricing Region ID (ie id of servergroup in servergroups)
				var tmpsgid = parseInt(/\-?\d+/.exec($(id).parents().eq(1).attr("id")));
				// If we did not got expected ID
				if(isNaN(tmpsgid)){
					showalert("'.$l['delid_not_found'].'" ,"1");
					return false;
				}
				// Add removed servergroup back to tmpsgs bucket
				tmpsgs[tmpsgid] = servergroups[tmpsgid];
			}
			
		';
			
			if(empty($_POST)){
				$_POST['h_rate'] = $plan['h_rate'];
				$_POST['m_rate'] = $plan['m_rate'];
				$_POST['y_rate'] = $plan['y_rate'];
			}
			
			// Are the rates posted ? Then we must add them
			if(!empty($_POST['h_rate'])){
				
				echo '
		$("#pricing_advoptions_ind").text(" - ");
		$("#pricing_advoptions").slideDown("slow");
		';
				
				foreach($_POST['h_rate'] as $kk => $vv){
					echo '
					moreregionpricing('.$kk.', 1);
					$("#h_rate\\\["+'.$kk.'+"\\\]").val("'.$_POST['h_rate'][$kk].'");
					$("#m_rate\\\["+'.$kk.'+"\\\]").val("'.$_POST['m_rate'][$kk].'");
					$("#y_rate\\\["+'.$kk.'+"\\\]").val("'.$_POST['y_rate'][$kk].'");
					';
					
				}
				
			}
			
		echo '</script>';

		}
		
		echo'		
	</div>
</div>';

echo '
<br /><br />
<center><input type="submit" value="'.$l['sub_but'].'" class="go_btn" name="editplan"></center><br><br><br>
</form>
</div>';

softfooter();

}

